package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class FPCUnitHudsonTestType extends TestType {

@DataBoundConstructor
public FPCUnitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new FPCUnitHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<FPCUnitHudsonTestType> {

  public DescriptorImpl() {
     super(FPCUnitHudsonTestType.class, com.thalesgroup.dtkit.junit.FPCUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.FPCUnit";
}

}

}
