package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class UnitTestHudsonTestType extends TestType {

@DataBoundConstructor
public UnitTestHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new UnitTestHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<UnitTestHudsonTestType> {

  public DescriptorImpl() {
     super(UnitTestHudsonTestType.class, com.thalesgroup.dtkit.junit.UnitTest.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.UnitTest";
}

}

}
